alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_USER foreign key (USER_ID) references SEC_USER(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_GENDER foreign key (GENDER_ID) references URUNDANA_GENDER(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_NATIONALITY foreign key (NATIONALITY_ID) references URUNDANA_NATIONALITY(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_MARITAL_STATUS foreign key (MARITAL_STATUS_ID) references URUNDANA_MARITAL_STATUS(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_ID_CARD_PROVINCE foreign key (ID_CARD_PROVINCE_ID) references URUNDANA_PROVINCE(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_ID_CARD_CITY foreign key (ID_CARD_CITY_ID) references URUNDANA_CITY(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_ID_CARD_SUB_DISTRICT foreign key (ID_CARD_SUB_DISTRICT_ID) references URUNDANA_SUB_DISTRICT(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_HOME_PROVINCE foreign key (HOME_PROVINCE_ID) references URUNDANA_PROVINCE(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_HOME_CITY foreign key (HOME_CITY_ID) references URUNDANA_CITY(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_HOME_SUB_DISTRICT foreign key (HOME_SUB_DISTRICT_ID) references URUNDANA_SUB_DISTRICT(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_LAST_EDUCATION foreign key (LAST_EDUCATION_ID) references URUNDANA_EDUCATION(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_JOB foreign key (JOB_ID) references URUNDANA_JOB(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_INDUSTRY_CATEGORY foreign key (INDUSTRY_CATEGORY_ID) references URUNDANA_INDUSTRY_CATEGORY(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_INCOME foreign key (INCOME_ID) references URUNDANA_INCOME(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_INCOME_SOURCE foreign key (INCOME_SOURCE_ID) references URUNDANA_INCOME_SOURCE(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_ID_CARD_PHOTO foreign key (ID_CARD_PHOTO_ID) references SYS_FILE(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_SELFIE_PHOTO foreign key (SELFIE_PHOTO_ID) references SYS_FILE(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_NPWP_PHOTO foreign key (NPWP_PHOTO_ID) references SYS_FILE(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_KK_PHOTO foreign key (KK_PHOTO_ID) references SYS_FILE(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_BANK foreign key (BANK_ID) references URUNDANA_BANK(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_INVESTMENT_BUDGET foreign key (INVESTMENT_BUDGET_ID) references URUNDANA_INVESTMENT_BUDGET(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_INVESTMENT_RISK_PREFERENCE foreign key (INVESTMENT_RISK_PREFERENCE_ID) references URUNDANA_INVESTMENT_RISK_PREFERENCE(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_INVESTMENT_ROLE_PREFERENCE foreign key (INVESTMENT_ROLE_PREFERENCE_ID) references URUNDANA_INVESTMENT_ROLE_PREFERENCE(ID);
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_SOURCE_INFO foreign key (SOURCE_INFO_ID) references URUNDANA_SOURCE_INFO(ID);
create index IDX_URUNDANA_PROFILE_ON_USER on URUNDANA_PROFILE (USER_ID);
create index IDX_URUNDANA_PROFILE_ON_GENDER on URUNDANA_PROFILE (GENDER_ID);
create index IDX_URUNDANA_PROFILE_ON_NATIONALITY on URUNDANA_PROFILE (NATIONALITY_ID);
create index IDX_URUNDANA_PROFILE_ON_MARITAL_STATUS on URUNDANA_PROFILE (MARITAL_STATUS_ID);
create index IDX_URUNDANA_PROFILE_ON_ID_CARD_PROVINCE on URUNDANA_PROFILE (ID_CARD_PROVINCE_ID);
create index IDX_URUNDANA_PROFILE_ON_ID_CARD_CITY on URUNDANA_PROFILE (ID_CARD_CITY_ID);
create index IDX_URUNDANA_PROFILE_ON_ID_CARD_SUB_DISTRICT on URUNDANA_PROFILE (ID_CARD_SUB_DISTRICT_ID);
create index IDX_URUNDANA_PROFILE_ON_HOME_PROVINCE on URUNDANA_PROFILE (HOME_PROVINCE_ID);
create index IDX_URUNDANA_PROFILE_ON_HOME_CITY on URUNDANA_PROFILE (HOME_CITY_ID);
create index IDX_URUNDANA_PROFILE_ON_HOME_SUB_DISTRICT on URUNDANA_PROFILE (HOME_SUB_DISTRICT_ID);
create index IDX_URUNDANA_PROFILE_ON_LAST_EDUCATION on URUNDANA_PROFILE (LAST_EDUCATION_ID);
create index IDX_URUNDANA_PROFILE_ON_JOB on URUNDANA_PROFILE (JOB_ID);
create index IDX_URUNDANA_PROFILE_ON_INDUSTRY_CATEGORY on URUNDANA_PROFILE (INDUSTRY_CATEGORY_ID);
create index IDX_URUNDANA_PROFILE_ON_INCOME on URUNDANA_PROFILE (INCOME_ID);
create index IDX_URUNDANA_PROFILE_ON_INCOME_SOURCE on URUNDANA_PROFILE (INCOME_SOURCE_ID);
create index IDX_URUNDANA_PROFILE_ON_ID_CARD_PHOTO on URUNDANA_PROFILE (ID_CARD_PHOTO_ID);
create index IDX_URUNDANA_PROFILE_ON_SELFIE_PHOTO on URUNDANA_PROFILE (SELFIE_PHOTO_ID);
create index IDX_URUNDANA_PROFILE_ON_NPWP_PHOTO on URUNDANA_PROFILE (NPWP_PHOTO_ID);
create index IDX_URUNDANA_PROFILE_ON_KK_PHOTO on URUNDANA_PROFILE (KK_PHOTO_ID);
create index IDX_URUNDANA_PROFILE_ON_BANK on URUNDANA_PROFILE (BANK_ID);
create index IDX_URUNDANA_PROFILE_ON_INVESTMENT_BUDGET on URUNDANA_PROFILE (INVESTMENT_BUDGET_ID);
create index IDX_URUNDANA_PROFILE_ON_INVESTMENT_RISK_PREFERENCE on URUNDANA_PROFILE (INVESTMENT_RISK_PREFERENCE_ID);
create index IDX_URUNDANA_PROFILE_ON_INVESTMENT_ROLE_PREFERENCE on URUNDANA_PROFILE (INVESTMENT_ROLE_PREFERENCE_ID);
create index IDX_URUNDANA_PROFILE_ON_SOURCE_INFO on URUNDANA_PROFILE (SOURCE_INFO_ID);
